Error Phpmyadmin Warning in ./libraries/sql.lib.php#613 count(): Parameter must be an array or an object that implements Countable



Beberapa waktu yang lalu setelah upgrade ke Ubuntu Server 18.04, PHPMyAdmin-ku mengalami error dengan keterangan:

 Warning in ./libraries/sql.lib.php#613
 count(): Parameter must be an array or an object that implements Countable

berikut hasil screenshoot errornya:


setiap kali query data di dalam database, selalu muncul itu pesan error tersebut dengan opsi:


Hal ini menurut saya sangat mengganggu, setelah itu saya mencoba browsing tdan berdasarkan salah satu artikel di stackoverflow saya membaca ternyata memang ada bug di dalam file library sqlnya, dan berikut ini solusi untuk mengatasi masalah tersebut:

Pertama silahkan buka file

 /usr/share/phpmyadmin/libraries/sql.lib.php

Edit dengan text edito, karena saya menggunakan editor vim, saya menjalankan perintah:

 sudo vim /usr/share/phpmyadmin/libraries/sql.lib.php

Lalu pada baris 613 sesuai dengan keterangan errornya yaitu konfigurasi seperti di bawah ini:

 || (count($analyzed_sql_results['select_expr'] == 1)

ubah menjadi seperti ini:


 || ((count($analyzed_sql_results['select_expr']) == 1)

simpan, kemudian restart web server apache nya dengan menjalankan perintah:

 sudo service apache2 restart

setelah itu buka lagi aplikasi PHPMyAdmin-nya, maka anda tidak akan menemui pesan error tersebut lagi. Selamat mencoba dan semoga membantu.
Error Phpmyadmin Warning in ./libraries/sql.lib.php#613 count(): Parameter must be an array or an object that implements Countable Error Phpmyadmin Warning in ./libraries/sql.lib.php#613  count(): Parameter must be an array or an object that implements Countable Reviewed by Himawan Mahardianto on July 22, 2019 Rating: 5

1 comment:

Anonymous said...

Terima kasih om solusinya.. sangat membantu

Powered by Blogger.